---
title: Get one APM service's dependencies
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Service Dependencies
---

# Get one APM service's dependencies{% #get-one-apm-services-dependencies %}
Copy pageCopied
{% tab title="v1" %}
**Note: This endpoint is in public beta. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).**
| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/service_dependencies/{service} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/service_dependencies/{service} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/service_dependencies/{service}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/service_dependencies/{service}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/service_dependencies/{service}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/service_dependencies/{service}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/service_dependencies/{service} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/service_dependencies/{service} |

### Overview

Get a specific service's immediate upstream and downstream services. The services retrieved are filtered by environment and a primary tag, if one is defined.

### Arguments

#### Path Parameters

| Name                      | Type   | Description                                      |
| ------------------------- | ------ | ------------------------------------------------ |
| service [*required*] | string | The name of the service go get dependencies for. |

#### Query Strings

| Name                  | Type    | Description                                                                                                 |
| --------------------- | ------- | ----------------------------------------------------------------------------------------------------------- |
| env [*required*] | string  | Specify what APM environment to query service dependencies by.                                              |
| primary_tag           | string  | Specify what primary tag to query service dependencies by.                                                  |
| start                 | integer | Specify the start of the timeframe in epoch seconds to query for. (defaults to 1 hour before end parameter) |
| end                   | integer | Specify the end of the timeframe in epoch seconds to query for. (defaults to current time)                  |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
An object with information on APM services that call, and are called by a given service.

| Field     | Type     | Description                                        |
| --------- | -------- | -------------------------------------------------- |
| called_by | [string] | List of service names that call the given service. |
| calls     | [string] | List of service names called by the given service. |
| name      | string   | Name of the APM service being searched for.        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "called_by": [
    "service-a",
    "service-b"
  ],
  "calls": [
    "service-d",
    "service-e"
  ],
  "name": "service-c"
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export service="service-c" \# Required query arguments export env="prod" \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/service_dependencies/${service}?env=${env}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
